Post Package Data For Delivery Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"TrackingID": "JJD0099999999",
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"Comment": "Shipping Comment"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/packages"
payload = [
{
"TrackingID": "JJD0099999999",
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"Comment": "Shipping Comment"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
TrackingID: 'JJD0099999999',
ShippedDate: '2023-02-01T12:45:00.0000000+00:00',
Comment: 'Shipping Comment'
}
])
};
fetch('https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"PackageDate": "2023-02-01T12:45:00.0000000+00:00",
"TrackingID": "JJD0099999999",
"Weights": 5,
"ShippingMethodId": 123,
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"TrackingUrl": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999",
"Comment": "Shipping Comment"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}deliverynote
Post Package Data For Delivery Note
Transmit Package Data
POST
/
deliveryNotes
/
{deliveryNoteId}
/
packages
Post Package Data For Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
application/json
The Packages to Create
Response
Returns All packages that are created for the delivery note.
The date when the package was created.
Example:
"2023-02-01T12:45:00.0000000+00:00"
The tracking Id of the package.
Example:
"JJD0099999999"
The weight of the package.
Example:
5
The date when the package was shipped.
Example:
"2023-02-01T12:45:00.0000000+00:00"
The tracking url of the package.
Example:
"https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999"
The comment of the package.
Example:
"Shipping Comment"
Was this page helpful?